/*------------------------------------*\
# BLOG SEARCH
\*------------------------------------*/

.blog-search-container{
    display: flex;
    position: relative;
    align-items: center;
    padding: 30px;
    gap: 40px 60px;
}
.blog-search-container:before{
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 80%;
    height: 100%;
    border-radius: 20px;
    background-color: var(--light-teal-1);
    z-index: -1
}
.blog-search-container > *{
    width: 100%;
}
.blog-search{
    display: flex;
    gap: 20px;
}
.blog-search input{
    width: 100%;
    border-radius: 100px;
    border: none;
    outline: none;
    box-shadow: 0 0 20px -13px black;
    height: 55px;
    font-size: 1.1rem;
    padding: 10px 50px;
}
.blog-search input::placeholder{
    color: #cbcbcb;
}
.blog-search input::-moz-placeholder{
    color: #cbcbcb;
}
.blog-search button{
    width: 175px;
    height: 55px;
    padding: 6px 35px;
    font-size: 1.25rem;
    font-weight: bold;
    color: var(--light-teal-1); 
}
.blog-search button span{
    padding: 7px 0;
    width: 100% !important;
    overflow-x: visible !important;
    overflow-y: hidden !important;
    font-family: 'Adobe Clean';
}



.section-wrapper:has(> .blog-tags-container){
    padding-bottom: 0 !important;
}
.blog-tags-container .blog-tags{
    justify-content: center;
    margin: 0 auto;
}
.blog-tags-container .blog-tag:hover{
    box-shadow: 0 0 30px 0px #bedaff;
    transform: scale(1.1);
}
.blog-tags {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 13px;
    max-width: 800px;
}
.blog-tag{
    background-color: var(--background);
    color: var(--primary-color);
    border-radius: 10px;
    width: fit-content;
    padding: 7px 25px;
    transition: 250ms transform cubic-bezier(.2,-0.40,.6,1), 250ms box-shadow ease-out
}
.blog-tag.active{
    transform: scale(1.15);
    margin: 0 5px;
    border: 2px solid rgba(0, 0, 0, .1);
    filter: brightness(110%);
    box-shadow: 0 4px 20px -10px #000, 0 4px 10px 0px var(--background);
}



/*------------------------------------*\
# BLOG ITEM
\*------------------------------------*/

.blog-item-wrapper{
    white-space: unset;
    min-height: 100%;
}
.blog-item{
    transition: 375ms transform cubic-bezier(.55,.15,.35,1), 250ms background-color, 250ms border-color !important;
    padding: 40px 30px;
    border-radius: 20px;
    min-height: 100%;
    display: flex;
    flex-direction: column;
    border: 1px solid var(--border-color);
}
a .blog-item:hover{
    background-color: #f6faf8;
    border-color: var(--border-hover-color);
}
@media only screen and (min-width: 769px){
    a .blog-item:hover{
        transform: translateY(-10px) !important;
    }
}
.blog-top{
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
}
.blog-item .blog-tag{
    font-size: .9rem;
    font-weight: bold;
    background-color: transparent;
    border: 1px solid var(--border-color);
    border-radius: 100px;
}
.blog-item .blog-title{
    font-size: 1.5rem;
}
.trial-item{
    background-color: var(--light-teal-1);
    border-color: var(--light-teal-1);
    display: flex;
    flex-direction: column;
    text-align: start;
}
.trial-item .avatar{
    width: 60px;
    height: 60px;
    border-radius: 100%;
    background-color: var(--white);
    margin-bottom: 10px;
}
.trial-item a{
    margin-top: auto;
    width: 100%;
    max-width: fit-content;
}



/*------------------------------------*\
# SYSTEM REQUIREMENTS
\*------------------------------------*/

.sys-req-section .section-top{
    align-items: center;
    margin-bottom: 40px;
}
.sys-req-section .medium-title{
    width: fit-content;
    margin: 0 20px 0 0;
}
.sys-req-section .section-top .button,
.shelf-top .button{
    margin-right: auto;
    background-color: var(--light-teal);
    border-color: var(--light-teal);
    color: var(--teal);
    padding-top: 5px;
    padding-bottom: 5px;
white-space: nowrap;
}
.sys-req-section .section-top .button:hover{
    background-color: var(--light-teal-hover-light);
    border-color: var(--light-teal-hover-light);
}
.sys-req-section .nav-button-container{
    margin: 0;
}
.sys-req-items{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 60px 30px;
}
.sys-req-item-wrapper{
    width: fit-content;
    display: block;
}
.sys-req-item{
    padding: min(60px, 4vw);
    background-color: var(--light-teal-1);
    width: fit-content;
    border-radius: 20px;
    transition: 250ms background-color;
}
.sys-req-item:hover{
    background-color: var(--light-teal-1-hover);
}
.sys-req-item .sys-req-img{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    aspect-ratio: 16 / 9;
    border-radius: 20px;
    overflow: hidden;
    cursor: pointer;
}
.sys-req-item .sys-req-img iframe,
.sys-req-item .sys-req-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.sys-req-item .sys-req-img img{
    filter: brightness(75%);
    transition: 250ms transform;
}
.sys-req-item:hover .sys-req-img img{
    transform: scale(1.1);
}
.sys-req-item .item-title{
    font-size: 1.5rem;
    width: 100%;
    font-weight: bold;
    margin-top: 10px;
}
.sys-req-section .load-more{
    margin-top: 40px;
    margin-bottom: 40px;
    padding-left: 60px;
    padding-right: 60px;
}



/*------------------------------------*\
# BLOG CATEGORY SHELVES
\*------------------------------------*/

.blog-category-shelf .shelf-top{
    align-items: center;
}
.blog-category-shelf .shelf-top .medium-title{
    margin: 0 20px 0 0;
}
.blog-category-shelf .filter-switcher{
    border: 1px solid teal;
    padding: 4px;
    border-radius: 20px;
    display: flex;
    margin-left: auto;
}
.blog-category-shelf .filter-switcher .switch{
    padding: 5px 15px;
    color: var(--teal);
    cursor: pointer;
    transition: 250ms color;
}
.blog-category-shelf .filter-switcher .switch.active{
    color: var(--white);
}


/* Blogs */

.blogs{
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 30px;
    padding: 40px 0;
}
.blogs:has( > span ){
    display: flex;
    flex-direction: column;
    font-size: 1.5rem;
    text-align: center;
    padding-bottom: 0;
}
.blogs .blog-img img{
    aspect-ratio: 10 / 6;
    object-fit: cover;
    border-radius: 20px;
}
.blogs .blog-content{
    padding: 20px 0;
}
.blogs .blog-title{
    margin-top: 10px;
}

.blogs > span{
    padding: 0 0 120px 0;
}